From: Jun Omae <jun66j5@apache.org>
Date: Thu, 6 Nov 2025 21:54:36 +0000
Subject: Adapt swig-py to SWIG 4.4.0.

* subversion/bindings/swig/include/svn_types.swg
  (%typemap(in) apr_pool_t *):
   Use `SWIG_Error(SWIG_TypeError)` instead of removed `SWIG_Python_TypeError`
   in SWIG 4.4.0

git-svn-id: https://svn.apache.org/repos/asf/subversion/trunk@1929560 13f79535-47bb-0310-9956-ffa450edef68
---
 subversion/bindings/swig/include/svn_types.swg | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/subversion/bindings/swig/include/svn_types.swg b/subversion/bindings/swig/include/svn_types.swg
index 07f6c85..a5f6ce4 100644
--- a/subversion/bindings/swig/include/svn_types.swg
+++ b/subversion/bindings/swig/include/svn_types.swg
@@ -601,7 +601,7 @@ svn_ ## TYPE ## _swig_rb_closed(VALUE self)
 %typemap(in, noblock=1) apr_pool_t * {
   /* Verify that the user supplied a valid pool */
   if ($input != Py_None && $input != _global_py_pool) {
-    SWIG_Python_TypeError(SWIG_TypePrettyName($descriptor), $input);
+    SWIG_Error(SWIG_TypeError,  "a '$type' is expected");
     SWIG_arg_fail($svn_argnum);
     SWIG_fail;
   }
